Subject: a failed experiment

From: Jim West <[email-masked]>
Date: Wed, 17 Sep 1997 11:00:17 -0400 (EDT)

Colleagues,
In scientific theology experiments are conducted.  When such experiments
fail their premises are best abandoned.  So it is with some measure of
sorrow that I announce that the Journal of Biblical Studies will cease
operation today.
The authors who have contributed have done an excellent job.  That is not
the failure.  The failure lies in the attempt to democratize Biblical
Studies by involving experts and lay-people.  Further, (negative) criticism
from many sides simply makes it an effort not worth the trouble.

Jim
+++++++++++++++++++++++++++++
Jim West, ThD
Adjunct Professor of Bible
Quartz Hill School of Theology

[email-masked]